apiVersion: apps/v1
kind: Deployment
metadata:
  name: webapp
spec:
  replicas: 1
  selector:
    matchLabels:
      app: webapp
  template:
    metadata:
      labels:
        app: webapp
    spec:
      initContainers:
        - name: check-db
          image: busybox:1.28
          command: ['sh', '-c', 'until nslookup db; do echo waiting for db; sleep 2; done;']
      containers:
        - name: webapp
          image: shyamudocker/artifacts:200820-8304224
          ports:
            - containerPort: 8090
          env:
            - name: SPRING_DATASOURCE_DRIVER-CLASS-name
              value: com.mysql.cj.jdbc.Driver
            - name: SPRING_DATASOURCE_URL
              value: jdbc:mysql://db:3306/assignment?allowPublicKeyRetrieval=true
            - name: SPRING_JPA_PROPERTIES_HIBERNATE_DIALECT
              value: org.hibernate.dialect.MySQL8Dialect


